#include <SPI.h>
#include <Ethernet.h>
byte mac[] = { 0x90, 0xa2, 0x00, 0x00, 0x00, 0x00 };
EthernetServer server(80);

void setup() {
   Serial.begin(9600);
   Ethernet.begin(mac);
   delay(1000);
   Serial.print("The server is on IP address: ");
   Serial.println(Ethernet.localIP());
}

void loop() {
   EthernetClient client = server.available();
   if (client.connected()) {
      int temp = getTemp();
      client.println("HTTP/1.1 200 OK");
      client.println("Content-Type: text/html");
      client.println("Connection: close");
      client.println();
      client.println("<!DOCTYPE HTML>");
      client.println("<html>");
      client.println("<head>");
      client.println("<title>Current Temperature</title>");
      client.println("</head>");
      client.println("<body>");
      client.println("<h1>The Current Temperature</h1>");
      client.print("<h2>The current temperature is ");
      client.print(temp);
      client.println("&deg; F</h2>");
      if ((temp >= 68) && (temp <= 72))
         client.println("<p>It's a normal room temperature</p>");
      if (temp < 68)
         client.println("<p>It's a little cold in here!</p>");
      if (temp > 72)
         client.println("<p>It's a little warm in here!</p>");
      client.println("</body>");
      client.println("</html>");
      delay(10);
      client.stop();
   }
}

int getTemp() {
   int output;
   float voltage, tempC, tempF;
   output = analogRead(A0);
   voltage = output * (5000.0 / 1024.0);
   tempC = (voltage - 500) / 10;
   tempF = (tempC * 9.0 / 5.0) + 32.0;
   return int(tempF);
}

