#include <SD.h>
File myFile;
unsigned long int time;
int tempF;

void setup() {
   Serial.begin(9600);
   pinMode(10, OUTPUT);
   SD.begin(4);
}

void loop() {
   myFile = SD.open("temp.csv", FILE_WRITE);
   time = millis();
   tempF = getTemp();
   myFile.print(time);
   myFile.print(",");
   myFile.println(tempF);
   myFile.close();
   Serial.print(tempF);
   Serial.print(" recorded at time ");
   Serial.println(time);
   delay(60000);
}

int getTemp() {
   int output;
   float voltage, tempC, tempF;
   output = analogRead(A0);
   voltage = output * (5000.0 / 1024.0);
   tempC = (voltage - 500) / 10;
   tempF = (tempC * 9.0 / 5.0) + 32.0;
   return int(tempF);
}

