int temp;
int setting;

void setup() {
  pinMode(2, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(6, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  int scale;
  scale = map(analogRead(A1), 0, 1023, 0, 254);
  temp = getTemp(analogRead(A0));
  setting = getTemp(scale);
  Serial.print("Temp: ");
  Serial.print(temp);
  Serial.print("  setting: ");
  Serial.println(setting);
  checkTemp(temp, setting);
  delay(1000);
}

int getTemp(int value) {
   float voltage, tempC, tempF;
   voltage = value * (5000.0 / 1024.0);
   tempC = (voltage - 500) / 10;
   tempF = (tempC * 9.0 / 5.0) + 32.0;
   return int(tempF);
}

void checkTemp(int temp, int setting)
{
  if (abs(temp - setting) < 5)
  {
    // temperature just right
    digitalWrite(6, LOW);
    digitalWrite(5, LOW);
    digitalWrite(4, HIGH);
    digitalWrite(3, LOW);
    digitalWrite(2, LOW);
  } else if (((temp - setting) > 0) && ((temp - setting) < 10))
  {
    // temperature a little too hot
    digitalWrite(6, LOW);
    digitalWrite(5, HIGH);
    digitalWrite(4, LOW);
    digitalWrite(3, LOW);
    digitalWrite(2, LOW);
  } else if (((temp - setting) > 0) && ((temp - setting) < 15))
  {
    // temperature way too hot!
    digitalWrite(6, HIGH);
    digitalWrite(5, LOW);
    digitalWrite(4, LOW);
    digitalWrite(3, LOW);
    digitalWrite(2, LOW);
  } else if (((temp - setting) < 0) && ((setting - temp) < 10))
  {
    // temperature a little too cold
    digitalWrite(6, LOW);
    digitalWrite(5, LOW);
    digitalWrite(4, LOW);
    digitalWrite(3, HIGH);
    digitalWrite(2, LOW);
  } else if (((temp - setting) < 0) && ((setting - temp) < 15))
  {
    // temperature way too cold!
    digitalWrite(6, LOW);
    digitalWrite(5, LOW);
    digitalWrite(4, LOW);
    digitalWrite(3, LOW);
    digitalWrite(2, HIGH);
  }
}
